Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.util.sweep
Class SweepDimension.TypedIntegerSweepDimension

    java.lang.Object
      org.ascape.util.sweep.SweepDimension.TypedIntegerSweepDimension

All Implemented Interfaces:
  Sweepable

Enclosing class:
  SweepDimension

    public class SweepDimension.TypedIntegerSweepDimension

extends java.lang.Object

Constructor Summary
`SweepDimension.TypedIntegerSweepDimension()`
`SweepDimension.TypedIntegerSweepDimension(int start, int end, int increment)`

Method Summary
`java.lang.String` | `getIncrementAsText()`
`java.lang.String` | `getMaxAsText()`
`java.lang.String` | `getMinAsText()`
`boolean` | `hasNext()`
`java.lang.Object` | `next()`
`void` | `reset()`
`void` | `setIncrementAsText(java.lang.String s)`
`void` | `setMaxAsText(java.lang.String s)`
`void` | `setMinAsText(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SweepDimension.TypedIntegerSweepDimension

    public SweepDimension.TypedIntegerSweepDimension()

### SweepDimension.TypedIntegerSweepDimension

    public SweepDimension.TypedIntegerSweepDimension(int start,
                                                     int end,
                                                     int increment)

Method Detail

### reset

    public void reset()

### hasNext

    public boolean hasNext()

### next

    public java.lang.Object next()

### getMinAsText

    public java.lang.String getMinAsText()

### setMinAsText

    public void setMinAsText(java.lang.String s)

### getMaxAsText

    public java.lang.String getMaxAsText()

### setMaxAsText

    public void setMaxAsText(java.lang.String s)

### getIncrementAsText

    public java.lang.String getIncrementAsText()

### setIncrementAsText

    public void setIncrementAsText(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD